org.apache.poi.ss.usermodel

## Interface Shape

- All Known Subinterfaces:
    ObjectData, Picture, SimpleShape
  All Known Implementing Classes:
    HSSFCombobox, HSSFComment, HSSFObjectData, HSSFPicture, HSSFPolygon, HSSFShape, HSSFShapeGroup, HSSFSimpleShape, HSSFTextbox, SXSSFPicture, XSSFConnector, XSSFGraphicFrame, XSSFObjectData, XSSFPicture, XSSFShape, XSSFShapeGroup, XSSFSimpleShape, XSSFTextBox

      public interface Shape

  Common interface for all drawing shapes
  Since:
    POI 3.16-beta2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChildAnchor` | `getAnchor()`
    `Shape` | `getParent()`
    `java.lang.String` | `getShapeName()`
    `boolean` | `isNoFill()` Whether this shape is not filled with a color
    `void` | `setFillColor(int red, int green, int blue)` Sets the color used to fill this shape using the solid fill pattern.
    `void` | `setLineStyleColor(int red, int green, int blue)` The color applied to the lines of this shape.
    `void` | `setNoFill(boolean noFill)` Sets whether this shape is filled or transparent.

- - ### Method Detail

    - #### getShapeName

          java.lang.String getShapeName()

      Returns:
        the name of this shape

    - #### getParent

          Shape getParent()

      Returns:
        the parent shape.

    - #### getAnchor

          ChildAnchor getAnchor()

      Returns:
        the anchor that is used by this shape.

    - #### isNoFill

          boolean isNoFill()

      Whether this shape is not filled with a color
      Returns:
        true if this shape is not filled with a color.

    - #### setNoFill

          void setNoFill(boolean noFill)

      Sets whether this shape is filled or transparent.
      Parameters:
        `noFill` - if true then no fill will be applied to the shape element.

    - #### setFillColor

          void setFillColor(int red,
                            int green,
                            int blue)

      Sets the color used to fill this shape using the solid fill pattern.

    - #### setLineStyleColor

          void setLineStyleColor(int red,
                                 int green,
                                 int blue)

      The color applied to the lines of this shape.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.